#include <iostream>
#include <cmath>

int duzina(int n)
{
    int i, brCifara = 0;
    for (i = 0; i < 10; i++)
    {
        brCifara++;
        if (n >= pow(10, i) && n <= (pow(10, i + 1) - 1))
        {
            break;
        }
    }

    return brCifara;
}

void sortiraj(int n, int brCifara, int a[])
{
    int i;
    for (i = brCifara - 1; i >= 0; i--)
    {
        a[i] = n / pow(10, i);
        n -= pow(10, i) * a[i];
    }
}

int main()
{
    int X, Y, x[10], y[10], z[20], brCifaraX, brCifaraY, brCifaraZ = 0, i;
    unsigned long long Z = 0;

    std::cin >> X;
    std::cin >> Y;

    brCifaraX = duzina(X);
    brCifaraY = duzina(Y);
    sortiraj(X, brCifaraX, x);
    sortiraj(Y, brCifaraY, y);


    if (brCifaraX > brCifaraY)
    {
        for (i = brCifaraX - 1; i > brCifaraY - 1; i--)
        {
            Z += x[i] * pow(10, i);
        }
        for (i = brCifaraY - 1; i >= 0; i--)
        {
            if (x[i] > y[i])
            {
                Z += x[i] * pow(10, i);
            }
            if (x[i] < y[i])
            {
                Z += y[i] * pow(10, i);
            }
            if (x[i] == y[i])
            {
                Z *= 10;
                Z += x[i] * pow(10, i + 1);
                Z += x[i] * pow(10, i);
            }
        }
    }
    if (brCifaraX < brCifaraY)
    {
        for (i = brCifaraY - 1; i > brCifaraX - 1; i--)
        {
            Z += y[i] * pow(10, i);
        }
        for (i = brCifaraX - 1; i >= 0; i--)
        {
            if (x[i] > y[i])
            {
                Z += x[i] * pow(10, i);
            }
            if (x[i] < y[i])
            {
                Z += y[i] * pow(10, i);
            }
            if (x[i] == y[i])
            {
                Z *= 10;
                Z += x[i] * pow(10, i + 1);
                Z += x[i] * pow(10, i);
            }
        }
    }
    if(brCifaraX == brCifaraY)
    {
        for (i = brCifaraX - 1; i >= 0; i--)
        {
            if (x[i] > y[i])
            {
                Z += x[i] * pow(10, i);
            }
            if (x[i] < y[i])
            {
                Z += y[i] * pow(10, i);
            }
            if (x[i] == y[i])
            {
                Z *= 10;
                Z += x[i] * pow(10, i + 1);
                Z += x[i] * pow(10, i);
            }
        }
    }
    
    std::cout << Z;

    return 0;
}